<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@5802=99</action> <!-- The "CRE." displayed at the bottom right of the screen is in fact not really the number of credits (especially when coinage isn't 1C_1C) as it relies on a transformation of real number of credits (stored at 0x5802) based on settings (coins needed stored at 0x5806 and credits awarded at 0x5804). Check code at 0x080b which displays the odd value. -->
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="run">
      <action>maincpu.pb@59EC=83</action>
      <action>maincpu.pb@58FA=83</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire">
    <script state="run">
      <action>maincpu.pb@5900=00</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@582B=07</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@582C=07</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
